やったこと

mysql2というgemをインストールしようとしたら、エラー出てもた scream

$ gem install mysql2
~ 略 ~
An error occurred while installing mysql2 (0.4.5), and Bundler cannot continue.
Make sure that `gem install mysql2 -v '0.4.5'` succeeds before bundling.

対処

xcode-select --install する